from metadata.sdk import configurefrom metadata.sdk.entities import DataContractsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# List all active contractscontracts = DataContracts.list(params={"status": "Active"})for c in contracts.data: print(f"{c.fullyQualifiedName} ({c.entityStatus})")# List contracts for a specific entitycontracts = DataContracts.list(params={ "entity": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"})
List and filter data contracts with query parameters for ownership, status, entity type, and date ranges to manage data quality agreements using the Collate REST API.
GET
/
v1
/
dataContracts
GET /v1/dataContracts
from metadata.sdk import configurefrom metadata.sdk.entities import DataContractsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# List all active contractscontracts = DataContracts.list(params={"status": "Active"})for c in contracts.data: print(f"{c.fullyQualifiedName} ({c.entityStatus})")# List contracts for a specific entitycontracts = DataContracts.list(params={ "entity": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"})
Filter by entity UUID. Returns only contracts attached to the specified entity.
GET /v1/dataContracts
from metadata.sdk import configurefrom metadata.sdk.entities import DataContractsconfigure( host="https://your-company.getcollate.io/api", jwt_token="your-jwt-token")# List all active contractscontracts = DataContracts.list(params={"status": "Active"})for c in contracts.data: print(f"{c.fullyQualifiedName} ({c.entityStatus})")# List contracts for a specific entitycontracts = DataContracts.list(params={ "entity": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"})